package domain


type AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse struct {
    /*
        履约前置校验扩展数据     */
    Ext  *string `json:"ext,omitempty" `

    /*
        商品是否可作业信息     */
    ProductList  *[]AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckProductResponse `json:"product_list,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse) SetExt(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse {
    s.Ext = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse) SetProductList(v []AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckProductResponse) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse {
    s.ProductList = &v
    return s
}
